%define module_name	v4l
%define module_version	2004.06.14
%define module_release	alt1

%define v4l_cvs_version	20040609-095118
#define bttv_version	0.9.15
#define saa7134_version	0.2.12
#define cx88_version	0.0.4
%define ov511_version	2.27
%define w9968cf_version	1.27

%define v4l_url		http://dl.bytesex.org/releases/video4linux
%define v4l_cvs_url	http://dl.bytesex.org/cvs-snapshots/

#### MODULE SOURCES ####
Name:          kernel-source-%module_name-%module_version
Version:       %module_version
Release:       %module_release
Summary:       Video4Linux drivers - module sources
License:       GPL
Group:         Development/Kernel
BuildArch:     noarch

Source0: kernel-source-v4l-Makefile

%ifdef v4l_cvs_version
Source1: %v4l_cvs_url/video4linux-%v4l_cvs_version.tar.gz
%else
Source1: %v4l_url/bttv-%bttv_version.tar.gz
Source2: %v4l_url/saa7134-%saa7134_version.tar.gz
Source3: %v4l_url/cx88-%cx88_version.tar.gz
%endif

Source4: ov511-%ov511_version.tar.bz2
Source5: w9968cf-%w9968cf_version.tar.gz

Patch100: bttv-build.patch
Patch101: bttv-saa71134-cx88-merge.patch
Patch102: bttv-ov511.patch
Patch103: bttv-lists.patch
Patch104: saa7134-manli.patch
Patch400: ov511-build.patch
Patch401: ov511-bttv-common.patch
Patch402: ov511-i2c.patch
Patch500: w9968cf-build.patch
Patch501: w9968cf-i2c.patch

Packager:      Kernel Maintainer Team <kernel@packages.altlinux.org>

%description
Video4Linux drivers module sources for Linux kernel.

%prep
%ifdef v4l_cvs_version

%setup -T -c -n %name -q -a 1 -a 4 -a 5
%__mv video4linux bttv

%else

%setup -T -c -n %name -q -a 1 -a 2 -a 3 -a 4 -a 5
%__mv bttv-%bttv_version bttv
%__mv saa7134-%saa7134_version saa7134
%__mv cx88-%cx88_version cx88

# merge saa7134 and cx88 into bttv
for dir in saa7134 cx88; do
	pushd "$dir"
	%__rm -rf Make.config linux media doc/CVS
	for f in * doc/*; do
		[ -f "$f" ] || continue
		if [ -f "../bttv/$f" ]; then
			cmp "$f" "../bttv/$f" || exit 1
		else
			%__cp -a "$f" "../bttv/$f"
		fi
	done
	popd
done

%endif

%__rm -rf saa7134 cx88 bttv/doc/CVS bttv/videodev.h bttv/videodev2.h

%__mv ov511-%ov511_version ov511
%__mv w9968cf-%w9968cf_version w9968cf

# clean duplicate files from ov511
pushd ov511
for f in *.[ch]; do
	[ -f "$f" ] || continue
	if [ -f "../bttv/$f" ]; then
		%__rm -f "$f"
	fi
done
popd

%patch100 -p1
#patch101 -p1
%patch102 -p1
#patch103 -p1
%patch104 -p1
%patch400 -p1
%patch401 -p1
%patch402 -p1
%patch500 -p1
%patch501 -p1

%__install -p -m644 %SOURCE0 ./Makefile
%__chmod a+x bttv/scripts/*

%build
# fix bttv docs
%__make -C bttv cardlists

%install
%__mkdir_p %buildroot%_usrsrc/kernel/sources/
pushd ..
%__tar -c kernel-source-%module_name-%module_version | %__bzip2 -c > \
    %buildroot%_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2
popd

%files
%attr(644,root,root) %_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2

%changelog
* Mon Jun 14 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.06.14-alt1
- Updated bttv, saa7134, cx88 to snapshot 20040609-095118.  Apparently the
  MT2050 tuner problems are fixed in this version.
- Removed bttv-saa71134-cx88-merge, bttv-lists patches (not needed when
  building from snapshot).
- Dropped video4linux-20040424 patch (obsolete).
- Updated bttv-ov511, saa7134-manli patches.

* Sun Apr 25 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.04.25-alt1
- Updated drivers:
  + bttv    0.9.15
  + saa7134 0.2.12
  + cx88    0.0.4
- Updated bttv, saa7134, cx88 to snapshot 20040424.
- Updated bttv-lists patch from the recent video4linux snapshot.
- Updated saa7134-manli patch.
- Removed saa7134-list-fix patch (fixed upstream).

* Sun Apr 04 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.04.04-alt1
- Combined all kernel-source-v4l-* packages into a single one.
- Updated drivers:
  + bttv    0.9.13
  + saa7134 0.2.10
  + ov511   2.27
- Added drivers:
  + cx88    0.0.2
  + w9968cf 1.27

